ParametricQueryNode.CompareOperator (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.core.nodes.ParametricQueryNode.CompareOperator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.queryParser.core.nodes
Enum ParametricQueryNode.CompareOperator

    java.lang.Object
      java.lang.Enum<ParametricQueryNode.CompareOperator>
          org.apache.lucene.queryParser.core.nodes.ParametricQueryNode.CompareOperator

All Implemented Interfaces:
  Serializable, Comparable<ParametricQueryNode.CompareOperator>

Enclosing class:
  ParametricQueryNode

    public static enum ParametricQueryNode.CompareOperator

extends Enum<ParametricQueryNode.CompareOperator>

Enum Constant Summary
`EQ`
`GE`
`GT`
`LE`
`LT`
`NE`

Method Summary
`static ParametricQueryNode.CompareOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ParametricQueryNode.CompareOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LE

    public static final ParametricQueryNode.CompareOperator LE

### LT

    public static final ParametricQueryNode.CompareOperator LT

### GE

    public static final ParametricQueryNode.CompareOperator GE

### GT

    public static final ParametricQueryNode.CompareOperator GT

### EQ

    public static final ParametricQueryNode.CompareOperator EQ

### NE

    public static final ParametricQueryNode.CompareOperator NE

Method Detail

### values

    public static final ParametricQueryNode.CompareOperator[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ParametricQueryNode.CompareOperator c : ParametricQueryNode.CompareOperator.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ParametricQueryNode.CompareOperator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD